// tsconfig.node.json
{
  "compilerOptions": {
    "composite": true,
    "skipLibCheck": true,
    "module": "ESNext",
    "moduleResolution": "Bundler", // Changed from "Node"
    "allowSyntheticDefaultImports": true,
    "strict": true, // It's good practice to keep tooling config strict
    "types": ["node"]
  },
  "include": [
    "vite.config.ts",
    "vitest.config.ts",
    "vitest.config.integration.ts",
    "vitest.workspace.ts"
  ]
}
